libsidplayfp
============

http://sourceforge.net/projects/sidplay-residfp/

libsidplayfp is a fork of LIBSIDPLAY2, a C64 music player library which
integrates the reSID SID chip emulation into a cycle-based emulator
environment, started with primary purpose to improve emulation of the
C64 system and the SID chips.

Copyright (c) 2000-2001 Simon White
Copyright (c) 2007-2010 Antti Lankila
Copyright (c) 2010-2019 Leandro Nini <drfiemost@users.sourceforge.net>


-----------------------------------------------------------------------------

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

-----------------------------------------------------------------------------

* Build

This package uses autotools so the usual ./configure && make is enough to build
the libraries.
In addition to the standard options the following are available:

--enable-debug[=no/yes/full]
compile with debugging messages
disabled by default

--enable-inline
enable inlinig in reSID engine, increases performances at the expense of bigger code size
enabled by default

--enable-branch-hints
enable branch hints in reSID engine so the compiler can produce more optimized code
enabled by default

--enable-mmx
enable some MMX code in reSIDfp that increases performance on old x86 processors which lack
sse2 support
disabled by default

--enable-testsuite=PATH_TO_TESTSUITE
add support for running Lorenz testsuite (in prg format). The testsuite is available
in the svn repository. Intended only for regression tests since it may break normal
code execution. The path to testsuite must include terminal path separator
disabled by default

--enable-tests
enables unit tests. Requires libUnitTest++ installed. Use "make check" to launch the testsuite
disabled by default

--enable-hardsid
enables hardsid support, still untested

--with-gcrypt / --without-gcrypt
force/disable libgcrypt support for MD5 computation
default check

--with-exsid
Build with exsid support. Requires either libexsid or one of libfdti1 or libftd2xx 


If doxygen is installed and detected by the configure script the documentation
can be built by invoking "make doc".



Known bugs/limitations:
* mus data embedded in psid file is not supported
* hardsid support is untested and possibly broken
